% clear MATLAB
clc; clear all; close all;

% load apm libraries
addpath('apm');

% run on different servers
s{1} = 'http://xps.apmonitor.com';
s{2} = 'http://byu.apmonitor.com';
s{3} = 'http://byu.apmonitor.com';
s{4} = 'http://byu.apmonitor.com';

matlabpool(4)

parfor i = 1:4, 
    % application name
    a{i} = ['nlp' int2str(i)];
    
    % clear server
    apm(s{i},a{i},'clear all');
    
    % diaglevel
    apm_option(s{i},a{i},'nlc.diaglevel',1);
    
    % load model
    apm_load(s{i},a{i},[a{i} '.apm']);
    
    % solve
    output{i} = apm(s{i},a{i},'solve');
    
    % retrieve solution
    y{i} = apm_sol(s{i},a{i});
    solution{i} = y{i}.x;
    
    % open solution in web browser
    apm_web_var(s{i},a{i});
    
end

matlabpool close